Ubuntu

option to show date in the panel

Reported by Nicolò Chieffo on 2010-07-05
90
This bug affects 18 people
Affects Status Importance Assigned to Milestone
Indicator Date and Time
Undecided
Unassigned
indicator-datetime (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: indicator-datetime

I would like to have an option to also show the date in the panel, not only the time.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: indicator-datetime 0.0.3-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-6.9-generic 2.6.35-rc3
Uname: Linux 2.6.35-6-generic x86_64
Architecture: amd64
Date: Mon Jul 5 18:59:32 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=it_IT.utf8
 SHELL=/bin/bash
SourcePackage: indicator-datetime

Nicolò Chieffo (yelo3) wrote :
Omer Akram (om26er) wrote :

Thanks for the bug report. looking at the indicator-date time specifications it seems its planned to give the user an option to enable date in the indicator. https://wiki.ubuntu.com/TimeAndDate so marking this triaged.

Changed in indicator-datetime (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Ted Gould (ted) wrote :

Currently this option exists in Maverick only there is not currently a GUI for it. If you use dconf-editor and go to /apps/indicators/datetime there is a show-date key that will enable it.

Changed in indicator-datetime:
status: New → Fix Released
Changed in indicator-datetime (Ubuntu):
status: Triaged → Fix Released
Nicolò Chieffo (yelo3) wrote :

Just for a question. Do you know how to edit a filed with dconf-editor?
I'm trying to change the "custom-time-format" key, but I can't figure
out how to edit it.
Thanks

Ted Gould (ted) wrote :

On Wed, 2010-09-29 at 22:10 +0000, Nicolò Chieffo wrote:
> Just for a question. Do you know how to edit a filed with dconf-editor?
> I'm trying to change the "custom-time-format" key, but I can't figure
> out how to edit it.

Well, I thought you just clicked on it... but that doesn't seem to work.
Apparently it isn't as mature as I thought :) You can set the key with
the gsettings command line tool as well.

Jamie Strandboge (jdstrand) wrote :

For those that want to do this with gsettings (ie Natty), do:
$ gsettings set org.ayatana.indicator.datetime show-date true
$ gsettings set org.ayatana.indicator.datetime show-day true

Bryce Harrington (bryce) wrote :

I had to use:
$ gsettings set com.canonical.indicator.datetime show-date true
$ gsettings set com.canonical.indicator.datetime show-day true

as well, I had to remove the indicator panel and re-add it for the changes to take effect.

Thanks for chasing this down Jamie; losing the date has been quite a wart for me.

Ted Gould (ted) wrote :

On Sat, 2011-02-12 at 00:45 +0000, Bryce Harrington wrote:
> I had to use:
> $ gsettings set com.canonical.indicator.datetime show-date true
> $ gsettings set com.canonical.indicator.datetime show-day true

Just to be clear, these are the commands for Natty. The previous ones
in this bug are for Lucid.

Tom Wright (twright-tdw) wrote :

Are you sure you can consider this bug fixed just because there is a hidden setting to enable this? I believe that it would be much better to include this as a proper option in the gui, instead of hiding it away (one should not need to use the terminal to display the day of the week).

shorty (matthias.kurz) wrote :

Can this already be configured via gui in Ubuntu 12.04?

Hi Shorty. Yes, you can. Open the Time & Date Settings, go to the Clock tab and configure it as you like.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers